[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNodeMemManager.Clear

Frees all unused nodes

## Declaration

Source position: avl_tree.pp line 135

`public procedure TAVLTreeNodeMemManager.Clear;`

## Description

Clear removes all unused nodes from the list and frees them.

## See also

TAVLTreeNodeMemManager.MinimumFreeNode |  | Minimum amount of free nodes to be kept.
TAVLTreeNodeMemManager.MaximumFreeNodeRatio |  | Maximum amount of free nodes in the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net.